org.apache.ode.bpel.pmapi

## Interface ReplayType

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    ReplayTypeImpl

      public interface ReplayType
      extends org.apache.xmlbeans.XmlObject

  An XML ReplayType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ReplayType.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlAnySimpleType` | `addNewLive()` Appends and returns a new empty "live" element
    `org.apache.xmlbeans.XmlAnySimpleType` | `addNewMock()` Appends and returns a new empty "mock" element
    `org.apache.xmlbeans.XmlAnySimpleType` | `getLive()` Gets the "live" element
    `org.apache.xmlbeans.XmlAnySimpleType` | `getMock()` Gets the "mock" element
    `java.lang.String` | `getMockQuery()` Gets the "mockQuery" element
    `boolean` | `isSetLive()` True if has "live" element
    `boolean` | `isSetMock()` True if has "mock" element
    `boolean` | `isSetMockQuery()` True if has "mockQuery" element
    `void` | `setLive(org.apache.xmlbeans.XmlAnySimpleType live)` Sets the "live" element
    `void` | `setMock(org.apache.xmlbeans.XmlAnySimpleType mock)` Sets the "mock" element
    `void` | `setMockQuery(java.lang.String mockQuery)` Sets the "mockQuery" element
    `void` | `unsetLive()` Unsets the "live" element
    `void` | `unsetMock()` Unsets the "mock" element
    `void` | `unsetMockQuery()` Unsets the "mockQuery" element
    `org.apache.xmlbeans.XmlString` | `xgetMockQuery()` Gets (as xml) the "mockQuery" element
    `void` | `xsetMockQuery(org.apache.xmlbeans.XmlString mockQuery)` Sets (as xml) the "mockQuery" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getMock

          org.apache.xmlbeans.XmlAnySimpleType getMock()

      Gets the "mock" element

    - #### isSetMock

          boolean isSetMock()

      True if has "mock" element

    - #### setMock

          void setMock(org.apache.xmlbeans.XmlAnySimpleType mock)

      Sets the "mock" element

    - #### addNewMock

          org.apache.xmlbeans.XmlAnySimpleType addNewMock()

      Appends and returns a new empty "mock" element

    - #### unsetMock

          void unsetMock()

      Unsets the "mock" element

    - #### getMockQuery

          java.lang.String getMockQuery()

      Gets the "mockQuery" element

    - #### xgetMockQuery

          org.apache.xmlbeans.XmlString xgetMockQuery()

      Gets (as xml) the "mockQuery" element

    - #### isSetMockQuery

          boolean isSetMockQuery()

      True if has "mockQuery" element

    - #### setMockQuery

          void setMockQuery(java.lang.String mockQuery)

      Sets the "mockQuery" element

    - #### xsetMockQuery

          void xsetMockQuery(org.apache.xmlbeans.XmlString mockQuery)

      Sets (as xml) the "mockQuery" element

    - #### unsetMockQuery

          void unsetMockQuery()

      Unsets the "mockQuery" element

    - #### getLive

          org.apache.xmlbeans.XmlAnySimpleType getLive()

      Gets the "live" element

    - #### isSetLive

          boolean isSetLive()

      True if has "live" element

    - #### setLive

          void setLive(org.apache.xmlbeans.XmlAnySimpleType live)

      Sets the "live" element

    - #### addNewLive

          org.apache.xmlbeans.XmlAnySimpleType addNewLive()

      Appends and returns a new empty "live" element

    - #### unsetLive

          void unsetLive()

      Unsets the "live" element